You are not logged in.

#1 2013-04-22 12:26:00

Azd325
Member
From: Berlin
Registered: 2012-12-21
Posts: 31
Website

Python25 install don't work berkley db4.5 can not be isntalled

I try to install python25 with

 # yaourt -S python25

It want to install the aur package db4.5.
After the build is don't install because already a db is installed

error: failed to commit transaction (conflicting files)
db4.5: /usr/bin/db_archive exists in filesystem
db4.5: /usr/bin/db_checkpoint exists in filesystem
db4.5: /usr/bin/db_deadlock exists in filesystem
db4.5: /usr/bin/db_dump exists in filesystem
db4.5: /usr/bin/db_hotbackup exists in filesystem
db4.5: /usr/bin/db_load exists in filesystem
db4.5: /usr/bin/db_printlog exists in filesystem
db4.5: /usr/bin/db_recover exists in filesystem
db4.5: /usr/bin/db_stat exists in filesystem
db4.5: /usr/bin/db_upgrade exists in filesystem
db4.5: /usr/bin/db_verify exists in filesystem
db4.5: /usr/include/db.h exists in filesystem
db4.5: /usr/include/db_185.h exists in filesystem
db4.5: /usr/include/db_cxx.h exists in filesystem
db4.5: /usr/lib/libdb.a exists in filesystem
db4.5: /usr/lib/libdb.so exists in filesystem
db4.5: /usr/lib/libdb_cxx.a exists in filesystem
db4.5: /usr/lib/libdb_cxx.so exists in filesystem
Errors occurred, no packages were upgraded.

As anyone the same problem or how I can fix this easyily that it works?

Thanks

Last edited by Azd325 (2013-04-22 12:29:10)

Offline

#2 2013-04-22 15:37:37

ewaller
Administrator
From: Pasadena, CA
Registered: 2009-07-13
Posts: 12,749

Re: Python25 install don't work berkley db4.5 can not be isntalled

Start by discovering which package owns those file.   example:  pacman -Qo /usr/bin/db_archive


Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
Like you, I have no idea what you are doing, but I am pretty sure it is wrong...Jasonwryan
----
How to Ask Questions the Smart Way

Offline

#3 2013-04-22 15:40:28

Azd325
Member
From: Berlin
Registered: 2012-12-21
Posts: 31
Website

Re: Python25 install don't work berkley db4.5 can not be isntalled

It comes from the newer berkley db package https://www.archlinux.org/packages/core/x86_64/db/

/usr/bin/db_archive is owned by db 5.3.21-1

Offline

#4 2013-05-29 08:50:46

vladev
Member
Registered: 2012-01-04
Posts: 7

Re: Python25 install don't work berkley db4.5 can not be isntalled

I'm having the exact same issue. The bin files are owned by the db package in core, as well.

Last edited by vladev (2013-05-29 08:51:15)

Offline

#5 2013-05-29 09:00:28

karol
Archivist
Registered: 2009-05-06
Posts: 25,427

Re: Python25 install don't work berkley db4.5 can not be isntalled

Have you tried installing db 4.5 to /usr/local/bin/ ? You would have to tell python 2.5 to look in there too.

Offline

#6 2013-05-29 09:04:21

Azd325
Member
From: Berlin
Registered: 2012-12-21
Posts: 31
Website

Re: Python25 install don't work berkley db4.5 can not be isntalled

Hey Karol,

I think this project can help you https://github.com/yyuu/pyenv
I was using it instead of the python25 package.

Offline

#7 2013-06-06 05:40:21

lz3060
Member
Registered: 2006-09-15
Posts: 29

Re: Python25 install don't work berkley db4.5 can not be isntalled

pyenv is cool, but having a system python25 package is cooler. I took a 2.5.6 patch from pyenv and fixed the PKGBUILD:
https://gist.github.com/kzyapkov/5717272
Let me know if there are problems with it.

Offline

Board footer

Powered by FluxBB